@echo off

set KS_VERSION=7.1
set BASEDIR=%~dp0

set PATH="%BASEDIR%..\jdbc\dll"
set CLASSPATH="%BASEDIR%ks-%KS_VERSION%.jar;%BASEDIR%..\lib\*;%BASEDIR%..\jdbc\*"
set JAVAOPTS=-Xmx1g -Dlog4j.configurationFile=./conf/log4j2.xml

if not defined KS_JAVA_HOME set KS_JAVA_HOME=%JAVA_HOME%
if not defined KS_JAVA_HOME goto notset


start "ks" %KS_JAVA_HOME%\bin\javaw.exe %JAVAOPTS% -cp %CLASSPATH%  cz.px.ks.Main
goto :EOF

:notset
echo Neither KS_JAVA_HOME nor JAVA_HOME variable is set!
pause

