drop table if exists ob100_pse;
create table ob100_pse (
             ORDID numeric(10, 0)
);

drop table if exists ob228_pse;
create table ob228_pse (
             ORDID numeric(10, 0),
              CDAC numeric(4, 0),
               AID numeric(9, 0),
              CUST numeric(4, 0),
              CRDM numeric(13, 2),
              QTOR numeric(11, 0),
              QTPR numeric(3, 0),
              QTIC numeric(11, 0),
              QTEX numeric(11, 0),
              OSTA varchar(4),
              IDMA varchar(10),
              RCMA varchar(12),
              IDKC varchar(35),
              ITYP varchar(1),
              NORE varchar(16),
              CPIN varchar(11),
              GCDN varchar(2),
              CRJR numeric(13, 2),
              MJTS timestamp
);

drop table if exists dl003_pse;
create table dl003_pse (
              DATB date
);

drop table if exists dl050_pse;
create table dl050_pse (
             ORDID numeric(10, 0),
              CDAC numeric(4, 0),
               AID numeric(9, 0),
              OSTA varchar(4),
              CUST numeric(4, 0),
              CDVA varchar(12),
              CRDM numeric(13, 2),
              QTOR numeric(11, 0),
              QTPR numeric(3, 0),
              QTIC numeric(11, 0),
              QTEX numeric(11, 0),
              QTES numeric(11, 0),
              IDMA varchar(10),
              RCMA varchar(12),
              IDKC varchar(35),
              ITYP varchar(1),
              NORE varchar(16),
              CPIN varchar(11),
              GCDN varchar(2),
              CRJR numeric(13, 2),
              MJTS timestamp
);

drop table if exists dl220_pse;
create table dl220_pse (
               AID numeric(9, 0),
              CRJR numeric(13, 2),
              ALLR numeric(9, 7),
              ASTA varchar(4),
              AVOL numeric(13, 2),
              MJTS timestamp,
              ANAM varchar(50),
              ISSR varchar(100),
              CDVA varchar(12),
              ISAG numeric(9, 0),
              STRA timestamp,
              ENDA timestamp,
             MINSV numeric(11, 0),
             MAXSV numeric(11, 0),
              MINP numeric(13, 2),
              MAXP numeric(13, 2),
              TICK numeric(7, 4),
              LOTS numeric(11, 0),
             MINOS numeric(11, 0),
             MAXOS numeric(11, 0),
              DRUH varchar(200),
              FORM varchar(1),
              NOMV numeric(18, 3),
              ICOE varchar(15),
            STREET varchar(50),
              CITY varchar(50),
              PSCE varchar(10),
             KOSTE varchar(3),
              UPDT date,
              QTIS numeric(11, 0),
              DEVI varchar(3),
              CMMT varchar(80),
              RCMA varchar(12),
              IDMA varchar(10),
              GCDN varchar(2),
              ITYP varchar(1),
              IDKC varchar(35)
);

drop table if exists dl225_pse;
create table dl225_pse (
             DATUM date,
             SEQNR numeric(9, 0),
              CDVA varchar(12),
           AUCTPRC numeric(13, 5),
           AUCTQTY numeric(12, 0),
            NETCHG numeric(13, 5),
         LSTTRDPRC numeric(13, 5),
         LSTTRDQTY numeric(12, 0),
            TRDTIM time,
            CLSPRC numeric(13, 5),
            OPNPRC numeric(13, 5),
         DLYLOWPRC numeric(13, 5),
         DLYHGHPRC numeric(13, 5),
     INSTONEDAYQTY numeric(12, 0),
       TOTNOTRDMPO numeric(9, 0),
        LSTAUCTQTY numeric(12, 0),
           AUCTTIM time,
        LSTAUCTPRC numeric(13, 5),
            SRPQTY numeric(12, 0),
      SRPBIDASKIND varchar(1),
      PRCSTSVALCOD varchar(5),
           TRANTIM time,
        BSTBIDPRC0 numeric(13, 5),
        BSTBIDPRC1 numeric(13, 5),
        BSTBIDPRC2 numeric(13, 5),
        BSTBIDPRC3 numeric(13, 5),
        BSTBIDPRC4 numeric(13, 5),
        BSTBIDPRC5 numeric(13, 5),
        BSTBIDPRC6 numeric(13, 5),
        BSTBIDPRC7 numeric(13, 5),
        BSTBIDPRC8 numeric(13, 5),
        BSTBIDPRC9 numeric(13, 5),
        BSTASKPRC0 numeric(13, 5),
        BSTASKPRC1 numeric(13, 5),
        BSTASKPRC2 numeric(13, 5),
        BSTASKPRC3 numeric(13, 5),
        BSTASKPRC4 numeric(13, 5),
        BSTASKPRC5 numeric(13, 5),
        BSTASKPRC6 numeric(13, 5),
        BSTASKPRC7 numeric(13, 5),
        BSTASKPRC8 numeric(13, 5),
        BSTASKPRC9 numeric(13, 5),
        BSTBIDQTY0 numeric(12, 0),
        BSTBIDQTY1 numeric(12, 0),
        BSTBIDQTY2 numeric(12, 0),
        BSTBIDQTY3 numeric(12, 0),
        BSTBIDQTY4 numeric(12, 0),
        BSTBIDQTY5 numeric(12, 0),
        BSTBIDQTY6 numeric(12, 0),
        BSTBIDQTY7 numeric(12, 0),
        BSTBIDQTY8 numeric(12, 0),
        BSTBIDQTY9 numeric(12, 0),
        BSTASKQTY0 numeric(12, 0),
        BSTASKQTY1 numeric(12, 0),
        BSTASKQTY2 numeric(12, 0),
        BSTASKQTY3 numeric(12, 0),
        BSTASKQTY4 numeric(12, 0),
        BSTASKQTY5 numeric(12, 0),
        BSTASKQTY6 numeric(12, 0),
        BSTASKQTY7 numeric(12, 0),
        BSTASKQTY8 numeric(12, 0),
        BSTASKQTY9 numeric(12, 0),
       NUMORDRBID0 numeric(4, 0),
       NUMORDRBID1 numeric(4, 0),
       NUMORDRBID2 numeric(4, 0),
       NUMORDRBID3 numeric(4, 0),
       NUMORDRBID4 numeric(4, 0),
       NUMORDRBID5 numeric(4, 0),
       NUMORDRBID6 numeric(4, 0),
       NUMORDRBID7 numeric(4, 0),
       NUMORDRBID8 numeric(4, 0),
       NUMORDRBID9 numeric(4, 0),
       NUMORDRASK0 numeric(4, 0),
       NUMORDRASK1 numeric(4, 0),
       NUMORDRASK2 numeric(4, 0),
       NUMORDRASK3 numeric(4, 0),
       NUMORDRASK4 numeric(4, 0),
       NUMORDRASK5 numeric(4, 0),
       NUMORDRASK6 numeric(4, 0),
       NUMORDRASK7 numeric(4, 0),
       NUMORDRASK8 numeric(4, 0),
       NUMORDRASK9 numeric(4, 0)
);

drop table if exists dl300_pse;
create table dl300_pse (
              NAZV varchar(10),
             DATUM date,
              TIME time,
              HODN numeric(10, 4)
);

drop table if exists dl362_pse;
create table dl362_pse (
              NAZV varchar(10),
              NAZL varchar(80),
              NAZR varchar(80),
              NAZB varchar(80),
              CDVA varchar(12),
              ADFA numeric(15, 9),
              INCA numeric(15, 2),
              INVA numeric(13, 2),
              TYIX varchar(50),
              TYUP varchar(50),
              INDT date,
              CPER varchar(20),
              CADT date
);

drop table if exists dl393_pse;
create table dl393_pse (
               KOD varchar(7),
              TEXT varchar(50)
);

drop table if exists dl395_pse;
create table dl395_pse (
              TYPE varchar(10),
               KOD varchar(25),
             PDESC varchar(50),
              HELP varchar(2000)
);

drop table if exists dl396_pse;
create table dl396_pse (
            KODSLU numeric(10, 0),
             JMENA varchar(1024),
             POPIS varchar(50),
            POCPOL numeric(9, 0),
           VSTUPNI numeric(1, 0),
            KODSWS varchar(5),
              OUTP varchar(1),
              HELP varchar(2000)
);

drop table if exists dl397_pse;
create table dl397_pse (
            KODSLU numeric(10, 0),
             JMENO varchar(20),
            PORADI numeric(9, 0),
               TYP varchar(1),
             DELKA numeric(9, 0),
            DESMIS numeric(9, 0),
             POPIS varchar(50),
             OBLIG varchar(1),
              TYPO varchar(1),
              OBOR varchar(50),
              HEDR varchar(20),
              HELP varchar(2000)
);

drop table if exists dl399_pse;
create table dl399_pse (
            KODSLU numeric(10, 0),
             JMENO varchar(20),
            PORADI numeric(9, 0),
               TYP varchar(1),
             DELKA numeric(9, 0),
            DESMIS numeric(9, 0),
             POPIS varchar(50),
             OBLIG varchar(1),
              TYPO varchar(1),
              OBOR varchar(50),
              HEDR varchar(20),
              HELP varchar(2000)
);

drop table if exists dl_ak;
create table dl_ak (
            KLCDVA varchar(12),
            KLLBVA varchar(35),
             KLBIC varchar(8),
            KLDTKL date,
            KLCRJR numeric(13, 2),
            KLVRCR numeric(7, 2),
            KLCRPR numeric(13, 2),
            KLMNRR numeric(13, 2),
            KLMXRR numeric(13, 2),
            KLCBTE numeric(11, 0),
            KLCBTN numeric(17, 2),
            KLDTPO date,
            KLCDMA varchar(1),
            KLMDCO varchar(1),
             KLTRH varchar(1),
            KLMNDD numeric(13, 2),
            KLMXDD numeric(13, 2),
            KLCROT numeric(13, 2),
             KLLOT numeric(5, 0)
);

drop table if exists dl_bi;
create table dl_bi (
            KLNAIN varchar(10),
            KLDTKL date,
            KLOTHD numeric(8, 2),
            KLZAHD numeric(8, 2),
            KLVRCR numeric(7, 2),
            KLVRRR numeric(7, 2),
            KLMNDD numeric(8, 2),
            KLMXDD numeric(8, 2),
            KLMNRR numeric(8, 2),
            KLMXRR numeric(8, 2)
);

drop table if exists dl_bv;
create table dl_bv (
            KLTYVA varchar(3),
             KLTRH varchar(1),
            KLOBUT numeric(17, 2),
            KLOBRT numeric(17, 2)
);

drop table if exists dl_bo;
create table dl_bo (
            KLCDVA varchar(12),
            KLLBVA varchar(35),
             KLBIC varchar(8),
            KLDTKL date,
            KLCROT numeric(13, 2),
            KLCRPO numeric(13, 2),
            KLMNDD numeric(13, 2),
            KLMXDD numeric(13, 2),
            KLABTE numeric(11, 0),
            KLABTN numeric(17, 2),
            KLABOB numeric(7, 0)
);

drop table if exists dl_bc;
create table dl_bc (
            KLCDVA varchar(12),
            KLLBVA varchar(35),
             KLBIC varchar(8),
            KLDTKL date,
            KLMNRO numeric(13, 2),
           KLIMXRO numeric(13, 2),
            KLABTE numeric(11, 0),
            KLABTN numeric(17, 2),
            KLABOB numeric(7, 0)
);

drop table if exists dl_bb;
create table dl_bb (
            KLNAIN varchar(10),
            KLCDVA varchar(12),
            KLLBVA varchar(35),
             KLBIC varchar(8),
            KLDTKL date,
            KLPOCP numeric(11, 0),
            KLRPCP numeric(3, 2),
             KLFFL numeric(2, 1),
            KLVAAK numeric(5, 2)
);

drop table if exists dl_ea;
create table dl_ea (
            KLCDVA varchar(12),
            KLLBVA varchar(35),
             KLBIC varchar(8),
            KLTYVA varchar(3),
            KLMTNL numeric(18, 6),
            KLDVNL varchar(3),
            KLDVCO varchar(3),
             KLTRH varchar(1),
            KLNORB varchar(2),
            KLNBTI numeric(11, 0),
            KLDTDI date,
            KLMTDI numeric(10, 2),
            KLDTUU date,
            KLZDZI numeric(7, 2),
            KLFMCP varchar(1),
            KLPOCP varchar(4),
            KLLLVA varchar(60)
);

drop table if exists dl_ed;
create table dl_ed (
            KLCDVA varchar(12),
            KLLBVA varchar(35),
             KLBIC varchar(8),
            KLTYVA varchar(3),
            KLMTNL numeric(18, 6),
            KLDVNL varchar(3),
             KLTRH varchar(1),
            KLNORB varchar(2),
            KLNBTI numeric(11, 0),
            KLECDT date,
            KLURSA numeric(8, 4),
            KLSAUV varchar(7),
            KLDTKU date,
            KLDTEX date,
            KLFMCP varchar(1),
            KLPOCP varchar(4),
            KLLLVA varchar(60)
);

drop table if exists dl_es;
create table dl_es (
            KLCDVA varchar(12),
             KLVAR varchar(1),
            KLDTVY date,
            KLCAST numeric(12, 2),
            KLDTEX date
);

drop table if exists dl_ec;
create table dl_ec (
            KLCDVA varchar(12),
            KLLBVA varchar(35),
            KLTYVA varchar(3),
            KLTYCE varchar(32),
            KLPOAK varchar(60),
            KLPOMR numeric(9, 6),
            KLCRST numeric(13, 2),
            KLZPDE varchar(12),
            KLDEDE varchar(3),
            KLECDT date,
            KLDVCO varchar(3),
             KLTRH varchar(1),
            KLNBTI numeric(11, 0),
            KLPOCP varchar(4),
            KLEMIT varchar(60),
            KLLLVA varchar(60),
            KLRISK varchar(1),
            KLPOPI varchar(250)
);

drop table if exists dl460_pse;
create table dl460_pse (
              CDVA varchar(12),
              LICT varchar(18),
              CRJR numeric(13, 2),
              VRCR numeric(7, 2),
              TSMJ timestamp
);

drop table if exists dl_tx;
create table dl_tx (
            TXCDAC numeric(4, 0),
            TXEXDT date,
            TXCDVA varchar(12),
            TXPROC numeric(5, 2),
            TXMDTE date,
            TXMTIM time
);

drop table if exists dl_kk;
create table dl_kk (
              GRCO varchar(1),
              LOWL numeric(9, 2),
              UPRL numeric(9, 2),
              TICK numeric(7, 4)
);

drop table if exists dl590_pse;
create table dl590_pse (
              SKEY varchar(100),
             SDATA varchar(10000),
              CDAC numeric(4, 0)
);

drop table if exists dl621_pse;
create table dl621_pse (
               AID numeric(9, 0),
              CDVA varchar(12),
              CRJR numeric(13, 2),
              POCO numeric(9, 0),
              QTET numeric(11, 0),
            QTETCU numeric(11, 0),
              MJTS timestamp
);

drop table if exists dl900_pse;
create table dl900_pse (
              ITZP varchar(1),
              IADR varchar(3),
              TEXT varchar(252)
);

drop table if exists dl950_pse;
create table dl950_pse (
              ITZP varchar(1),
              IADR varchar(3),
              TEXT varchar(252)
);

drop table if exists dl961_pse;
create table dl961_pse (
              TYPE varchar(20),
               LIB varchar(200),
              USRN varchar(40),
             CHGTS timestamp
);

drop table if exists dl971_pse;
create table dl971_pse (
              TYPE varchar(20),
              CODE varchar(20),
         VALUETYPE varchar(20),
               LIB varchar(200),
              USRN varchar(40),
             CHGTS timestamp
);

drop table if exists dl981_pse;
create table dl981_pse (
              TYPE varchar(20),
              STYP varchar(20),
              INDI varchar(20),
              DONN varchar(1000),
              USRN varchar(40),
             CHGTS timestamp
);

drop table if exists dl991_pse;
create table dl991_pse (
              CDAC numeric(4, 0),
              NMSB varchar(100),
              TELE varchar(20),
              MAIL varchar(50),
               ICO varchar(15),
            STREET varchar(50),
              CITY varchar(50),
               PSC varchar(10),
              KOST varchar(3),
              T7ID varchar(5),
               WWW varchar(200)
);

drop table if exists dl992_pse;
create table dl992_pse (
            CBCMAR varchar(1),
            CBDTJR date,
            CBNOOR numeric(5, 0)
);

drop table if exists dl003_cdcp;
create table dl003_cdcp (
              DATB date
);

drop table if exists dl_fhli;
create table dl_fhli (
            HLCLEB numeric(4, 0),
            HLCDAC numeric(4, 0),
            HLDEVI varchar(3),
            HLMTDB numeric(12, 0),
            HLMTCR numeric(12, 0),
            HLMTCD numeric(12, 0),
            HLMTCC numeric(12, 0)
);

drop table if exists dl_fuct;
create table dl_fuct (
              CDAC numeric(4, 0),
              DEVI varchar(3),
              ZADT date,
              KODT date,
              BANU varchar(1),
              ZPRB varchar(11),
              ZPRU varchar(35),
              ZPRN varchar(140),
              INSB varchar(11),
              INSU varchar(35),
              INSN varchar(140),
              PRIB varchar(11),
              PRIU varchar(35),
              PRIN varchar(140),
              CMMT varchar(80),
              NMDM varchar(10)
);

drop table if exists dl_fzpl;
create table dl_fzpl (
              CRDT date,
              PORC numeric(6, 0),
              MTMV numeric(14, 2),
              DEVI varchar(3),
              CCDT date,
              ODDT date,
              CARM numeric(4, 0),
              OBJB varchar(11),
              OBJU varchar(35),
              CAEM numeric(4, 0),
              ZPRB varchar(11),
              ZPRU varchar(35),
              ZPRN varchar(140),
              INSB varchar(11),
              INSU varchar(35),
              INSN varchar(140),
              PRIB varchar(11),
              PRIU varchar(35),
              PRIN varchar(140),
              CLCE varchar(3),
              CDAC numeric(4, 0),
              CVAL varchar(12),
              CMMT varchar(140)
);

drop table if exists dl_fmvt;
create table dl_fmvt (
            PRORIG varchar(4),
            PRVMAA numeric(2, 0),
            PRNMLO numeric(4, 0),
            PRNMMV numeric(5, 0),
            PRNOLG varchar(1),
            PRRLIV numeric(12, 0),
            PRNUAG varchar(5),
            PRREXT varchar(11),
            PRCDCL varchar(11),
            PRCPIN varchar(11),
            PRCADT numeric(4, 0),
            PRCARM numeric(4, 0),
            PRTARM numeric(2, 0),
            PRNDCD numeric(2, 0),
            PRCACT numeric(4, 0),
            PRCAEM numeric(4, 0),
            PRTAEM numeric(2, 0),
            PRNDCC numeric(2, 0),
            PRCVAL varchar(12),
            PRTYOP numeric(3, 0),
            PRCOMD varchar(1),
            PRTVYP varchar(3),
            PRQTET numeric(11, 0),
            PRMTMV numeric(15, 3),
            PRCRJR numeric(13, 2),
            PRFCCR numeric(8, 5),
            PRDEVI varchar(3),
            PRNEDT date,
            PRDEDT date,
            PRPRIO numeric(2, 0),
            PRIDMA varchar(10),
            PRRCMA varchar(12),
            PRITYP varchar(1),
            PRIDKC varchar(50),
            PRTPSB varchar(1),
            PRZPVY varchar(1),
            PRSTMV numeric(2, 0),
            PRCODA varchar(7),
            PRSPRU varchar(1),
            PRSTAV varchar(1),
            PRMJDT date,
            PRMJHH time,
            PRFTDT date,
            PRFTHH time,
            PRZASP numeric(12, 0),
            PRPODV varchar(15),
            PRREZE varchar(15),
            PRCOAG varchar(5),
            PRPROV varchar(80),
            PRCMMT varchar(80),
            PRCPDT date,
            PRPORA numeric(2, 0)
);

drop table if exists dl_fpin;
create table dl_fpin (
            PIDODT date,
            PIDBDT date,
            PICDAC numeric(4, 0),
            PICLEB numeric(4, 0),
            PITYPL numeric(3, 0),
            PIMTMD numeric(14, 2),
            PIMTMK numeric(14, 2),
            PIDEVI varchar(3),
            PINEDT date,
            PIDEDT date,
            PICCDT date,
            PIORIG varchar(4),
            PIVMAA numeric(2, 0),
            PINMLO numeric(4, 0),
            PINMMV numeric(5, 0),
            PICVAL varchar(12),
            PINUAG varchar(5),
            PIREXT varchar(11),
            PIRLIV numeric(12, 0),
            PICMNT varchar(30)
);

drop table if exists dl_fplp;
create table dl_fplp (
            PPCCDT date,
            PPCDAC numeric(4, 0),
            PPCLEB numeric(4, 0),
            PPTYPL numeric(3, 0),
            PPMTMD numeric(14, 2),
            PPMTMK numeric(14, 2),
            PPDEVI varchar(3),
            PPVARY numeric(10, 0),
            PPKONS numeric(10, 0),
            PPORIG varchar(4),
            PPVMAA numeric(2, 0),
            PPNMLO numeric(4, 0),
            PPNMMV numeric(5, 0),
            PPCVAL varchar(12),
            PPNUAG varchar(5),
            PPREXT varchar(11),
            PPRLIV numeric(12, 0),
            PPCMMT varchar(30),
            PPPORA numeric(2, 0)
);

drop table if exists dl_fcip;
create table dl_fcip (
            CICLEB numeric(4, 0),
            CICDAC numeric(4, 0),
            CISUDB numeric(14, 2),
            CISUCR numeric(14, 2),
            CICISP numeric(14, 2),
            CIDEVI varchar(3),
            CIPORA numeric(2, 0)
);

drop table if exists dl_fhct;
create table dl_fhct (
            HTCDAF numeric(4, 0),
            HTIDMA varchar(10),
            HTRCMA varchar(12),
            HTTYAF numeric(2, 0),
            HTCVAL varchar(12),
            HTCNDC numeric(2, 0),
            HTQUTE numeric(11, 0),
            HTDEDT date,
            HTCPDT date
);

drop table if exists dl_fhcu;
create table dl_fhcu (
            HTCDAF numeric(4, 0),
            HTIDMA varchar(10),
            HTRCMA varchar(12),
            HTTYAF numeric(2, 0),
            HTCVAL varchar(12),
            HTCNDC numeric(2, 0),
            HTQUTE numeric(11, 0),
            HTDEDT date,
            HTCPDT date
);

drop table if exists dl_fcpt;
create table dl_fcpt (
            CTCDAF numeric(4, 0),
            CTIDMA varchar(10),
            CTRCMA varchar(12),
            CTTYAF numeric(2, 0),
            CTCVAL varchar(12),
            CTCNDC numeric(2, 0),
            CTQUTE numeric(11, 0),
            CTDQTE numeric(11, 0),
            CTKQTE numeric(11, 0),
            CTDEDT date,
            CTCPDT date
);

drop table if exists dl_fhcs;
create table dl_fhcs (
            HTCDAF numeric(4, 0),
            HTIDMA varchar(10),
            HTRCMA varchar(12),
            HTTYAF numeric(2, 0),
            HTCVAL varchar(12),
            HTCNDC numeric(2, 0),
            HTQUTE numeric(11, 0),
            HTDEDT date,
            HTCPDT date,
              TPMA varchar(1),
              KOST varchar(3)
);

drop table if exists dl_fdpi;
create table dl_fdpi (
            DANOPI numeric(12, 0),
            DANOLG numeric(7, 0),
            DACDAC varchar(3),
            DASEOR varchar(1),
            DATYOP varchar(3),
            DACREX numeric(13, 2),
            DAEXDT date,
            DACDVA varchar(12),
            DACDCL varchar(11),
            DAACCO numeric(3, 0),
            DAQTEX numeric(11, 0),
            DAMTBR numeric(15, 2),
            DADEDT date,
            DACOMD varchar(1),
            DAECDT date,
            DANOOR numeric(20, 0),
            DANUAG varchar(5),
            DANORE varchar(11),
            DACPIN varchar(11),
            DARCMA varchar(12),
            DAIDMA varchar(10),
            DAGCDN numeric(4, 0),
            DAFCCR numeric(8, 5),
            DAUODT date,
            DAUOHH time,
            DACDET varchar(1),
            DATYPK varchar(1),
            DAIDKC varchar(50),
            DACUST numeric(3, 0),
            DAMFAB numeric(15, 4),
            DAMFAC numeric(8, 2),
            DAMFAV numeric(8, 2)
);

drop table if exists dl_fpri;
create table dl_fpri (
              CDAC numeric(4, 0),
              BICE varchar(11),
              CVAL varchar(12),
              QTEX numeric(11, 0),
              MTBR numeric(15, 2),
              DEDT date,
              INDS varchar(1)
);

drop table if exists dl_evos;
create table dl_evos (
              IDMA varchar(10),
              IDMB varchar(10),
              PJMA varchar(50),
              JMMA varchar(50),
              TTMA varchar(25),
              ADMA varchar(50),
              MEMA varchar(50),
              PSCM varchar(6),
              KOST varchar(3),
              STRE varchar(3),
              TPMA varchar(1),
              PJVY varchar(50),
              JMVY varchar(50),
              TTVY varchar(25),
              ADVY varchar(50),
              MEVY varchar(50),
              PSVY varchar(6),
              KSVY varchar(3)
);

drop table if exists dl_suct;
create table dl_suct (
              CDAC numeric(4, 0),
              RCMA varchar(12),
              IDMA varchar(10),
              TYAF numeric(2, 0),
              STUC varchar(1),
              RLIV numeric(12, 0)
);

drop table if exists dl_ispr;
create table dl_ispr (
              CDAC numeric(4, 0),
              RCMA varchar(12),
              IDMA varchar(10),
              IDSP varchar(10),
              TYSP varchar(1)
);

drop table if exists dl_ipdl;
create table dl_ipdl (
              RLIV numeric(12, 0),
              TPDV varchar(1),
              IDMA varchar(10),
               CIT numeric(5, 0),
              JMEN numeric(5, 0)
);

drop table if exists dl_iems;
create table dl_iems (
              CVAL varchar(12),
              EFDT date,
               BIC varchar(8),
              LILG varchar(80),
              LICT varchar(18),
              PCOT numeric(3, 0),
              GCOT varchar(1),
              VERO varchar(1),
              TVAL varchar(3),
              FOCP varchar(1),
              PDCP varchar(4),
              OMPR varchar(1),
              UCOT varchar(1),
              DCOT varchar(3),
              ECDT date,
              CVAM varchar(12),
              TNOM varchar(1),
              MTNO numeric(18, 6),
              DNOM varchar(3),
              NBTI numeric(11, 0),
              FDDT date,
              RDDT date,
              ADIC varchar(10),
              ADNM varchar(32),
              SPIC varchar(10),
              SPNM varchar(32),
              EICO varchar(10),
              ENMA varchar(32),
              ESTR varchar(32),
              ECIT varchar(32),
              EPSC varchar(6),
              EKOS varchar(3),
              DTEM date
);

drop table if exists dl_ible;
create table dl_ible (
              CVAL varchar(12),
              SCOD date,
              SCDO date,
              POZN varchar(250)
);

drop table if exists dl_neos;
create table dl_neos (
              IDMA varchar(10),
              IDMB varchar(10),
              PJMA varchar(50),
              JMMA varchar(50),
              TTMA varchar(25),
              ADMA varchar(50),
              MEMA varchar(50),
              PSCM varchar(6),
              KOST varchar(3),
              TPMA varchar(1)
);

drop table if exists dl_evot;
create table dl_evot (
              IDMA varchar(10),
              IDMB varchar(10),
              PJMA varchar(50),
              JMMA varchar(50),
              TTMA varchar(25),
              ADMA varchar(50),
              MEMA varchar(50),
              PSCM varchar(6),
              KOST varchar(3),
              STRE varchar(3),
              TPMA varchar(1),
              PJVY varchar(50),
              JMVY varchar(50),
              TTVY varchar(25),
              ADVY varchar(50),
              MEVY varchar(50),
              PSVY varchar(6),
              KSVY varchar(3),
              STAT varchar(1),
              IDRQ numeric(9, 0),
              CMMT varchar(80)
);

drop table if exists dl_iemu;
create table dl_iemu (
              CVAL varchar(12),
              EFDT date,
               BIC varchar(8),
              LILG varchar(80),
              LICT varchar(18),
              PCOT numeric(3, 0),
              GCOT varchar(1),
              VERO varchar(1),
              TVAL varchar(3),
              FOCP varchar(1),
              PDCP varchar(4),
              OMPR varchar(1),
              UCOT varchar(1),
              DCOT varchar(3),
              ECDT date,
              CVAM varchar(12),
              TNOM varchar(1),
              MTNO numeric(18, 6),
              DNOM varchar(3),
              NBTI numeric(11, 0),
              NBUC numeric(11, 0),
              FDDT date,
              RDDT date,
              SAFE varchar(1)
);

drop table if exists dl_edcd;
create table dl_edcd (
              CDVA varchar(12),
              LBVA varchar(18),
               BIC varchar(8),
              DTEM date,
              MTNL numeric(18, 6),
              DVNL varchar(3),
              NBTI numeric(11, 0),
              ECDT date,
              EXJD date,
              URSA numeric(8, 4),
              SAUV varchar(7),
              DTPR date,
              DTKU date,
              DTEX date,
              FMCP varchar(1),
              POCP varchar(4),
              LLVA varchar(80),
              PSPL varchar(1),
              OMPR varchar(1),
              DRDL varchar(2),
               VAR varchar(1),
              EICO varchar(10),
              ENMA varchar(64)
);

drop table if exists dl_ess;
create table dl_ess (
            KLCDVA varchar(12),
             KLVAR varchar(1),
            KLDTVY date,
            KLCAST numeric(12, 2),
            KLDTEX date
);

drop table if exists dl_izas;
create table dl_izas (
              RLIV numeric(12, 0),
              TYZP varchar(1),
              UCAS numeric(4, 0),
              IDZA varchar(10),
              DTOD date,
              DTBL date,
              IDVE varchar(10),
              VIVE varchar(1),
              IDDL varchar(10),
              MTMV numeric(14, 2),
              DSPL date,
              DEVI varchar(3),
              TZAJ varchar(1),
              DRHP varchar(1),
              STMV varchar(1),
              NAVA varchar(15),
              NANV varchar(1),
              UCVH varchar(10),
              CMMT varchar(80),
              RLIP numeric(12, 0),
              DTLO date,
              CSLO time
);

drop table if exists dl_ippn;
create table dl_ippn (
              RLIV numeric(12, 0),
              TYZP varchar(1),
              CDAC numeric(4, 0),
              IDMA varchar(10),
              DTOD date,
              DTBL date,
              IDVE varchar(10),
              STMV varchar(1),
              NAVA varchar(15),
              DTLO date,
              CSLO time
);

drop table if exists dl_iblk;
create table dl_iblk (
              DTUC date,
              RLIV numeric(12, 0),
              TYBL varchar(1),
              DTOD date,
              LEVL numeric(5, 0),
              CDAC numeric(4, 0),
              RCMA varchar(12),
              IDMA varchar(10),
              CVAL varchar(12),
              CNDC numeric(2, 0),
              QTET numeric(11, 0),
              IDSK numeric(12, 0),
              IDNV numeric(12, 0),
              IDVH numeric(12, 0),
              DTLO date,
              CSLO time
);

drop table if exists dl_ibls;
create table dl_ibls (
              RLIV numeric(12, 0),
              TYBL varchar(1),
              CDAC numeric(4, 0),
              RCMA varchar(12),
              IDMA varchar(10),
              CVAL varchar(12),
              CNDC numeric(2, 0),
              QTET numeric(11, 0),
              MJDT date,
              MJTM time,
              STAV varchar(1)
);

drop table if exists dl_iblp;
create table dl_iblp (
              DTUC date,
              CDAC numeric(4, 0),
              RCMA varchar(12),
              IDMA varchar(10),
              CVAL varchar(12),
              CNDC numeric(2, 0),
              QTET numeric(11, 0),
              IDSK numeric(12, 0),
              TPRA varchar(1),
              IDOS varchar(10),
               CIT numeric(5, 0),
              JMEN numeric(5, 0),
              IDNA numeric(12, 0)
);

drop table if exists dl_evzv;
create table dl_evzv (
              DTUC date,
              RLIV numeric(12, 0),
              TYBL varchar(1),
              DTOD date,
              LEVL numeric(5, 0),
              CDAC numeric(4, 0),
              RCMA varchar(12),
              IDMA varchar(10),
              CVAL varchar(12),
              CNDC numeric(2, 0),
              QTET numeric(11, 0),
              IDSK numeric(12, 0),
              NVFL varchar(1),
              VHFL varchar(1),
              DTLO date,
              CSLO time
);

drop table if exists dl_essd;
create table dl_essd (
              CDAC numeric(4, 0),
              IDMA varchar(10),
              RCMA varchar(12),
              DRUH varchar(1),
              PRED numeric(6, 0),
              CIUC numeric(10, 0),
              KCCA varchar(7),
              BICE varchar(11),
              NZUC varchar(24),
              IBAN varchar(34),
              MAIL varchar(50),
              TELE varchar(20),
              ZASL varchar(1),
              VYPI varchar(1),
              OSID varchar(8),
              MJDT date,
              MJTM time,
              STAV varchar(1)
);

drop table if exists dl_dssd;
create table dl_dssd (
              CDAC numeric(4, 0),
              IDMA varchar(10),
              IDMB varchar(10),
              PJMA varchar(50),
              JMMA varchar(50),
              TTMA varchar(25),
              ADMA varchar(50),
              MEMA varchar(50),
              PSCM varchar(6),
              KOST varchar(3),
              STRE varchar(3),
              TPMA varchar(1),
              PJVY varchar(50),
              JMVY varchar(50),
              TTVY varchar(25),
              ADVY varchar(50),
              MEVY varchar(50),
              PSVY varchar(6),
              KSVY varchar(3),
              RCMA varchar(12),
              TYAF numeric(2, 0),
              STUC varchar(1),
              ZUDT date,
              DRUH varchar(1),
              PRED numeric(6, 0),
              CIUC numeric(10, 0),
              KCCA varchar(7),
              BICE varchar(11),
              NZUC varchar(24),
              IBAN varchar(34),
              MAIL varchar(50),
              TELE varchar(20),
              ZASL varchar(1),
              VYPI varchar(1),
              OSID varchar(8),
              MJDT date,
              MJTM time,
              OBCH numeric(4, 0),
              ZMDT date,
              TMTM time,
              DIST numeric(4, 0),
              REKL varchar(1),
              PEPE varchar(1)
);

drop table if exists dl_epu;
create table dl_epu (
              CDAC numeric(4, 0),
              IDMA varchar(10),
              RCMA varchar(12),
              DRUH varchar(1),
              PRED numeric(6, 0),
              CIUC numeric(10, 0),
              KCCA varchar(7),
              BICE varchar(11),
              NZUC varchar(24),
              IBAN varchar(34),
              MJDT date,
              MJTM time,
              STAV varchar(1)
);

drop table if exists dl_cssd;
create table dl_cssd (
              CDAC numeric(4, 0),
              IDMA varchar(10),
              IDMB varchar(10),
              TPMA varchar(1),
             IDMA1 varchar(10),
              DRUH varchar(1),
              CVAL varchar(12),
              QTEX numeric(11, 0),
              PRED numeric(6, 0),
              CIUC numeric(10, 0),
              KCCA varchar(7),
              BICE varchar(11),
              NZUC varchar(24),
              IBAN varchar(34),
              MTBR numeric(15, 2),
              DUPL varchar(1),
              DEDT date,
              MJDT date,
              MJTM time,
              PREV varchar(15),
               CIT numeric(5, 0),
              JMEN numeric(5, 0),
              IDEN numeric(8, 0)
);

drop table if exists dl_psl;
create table dl_psl (
            KODSLU numeric(10, 0),
             JMENA varchar(512),
             DELKA numeric(10, 0),
            POCPOL numeric(10, 0),
             POPIS varchar(50),
           VSTUPNI numeric(1, 0)
);

drop table if exists dl_ppo;
create table dl_ppo (
            KODSLU numeric(10, 0),
             JMENO varchar(10),
            PORADI numeric(10, 0),
            POZICE numeric(10, 0),
               TYP varchar(1),
             DELKA numeric(10, 0),
            DESMIS numeric(10, 0),
             POPIS varchar(50)
);

drop table if exists dl_nako;
create table dl_nako (
               KOD varchar(7),
              TEXT varchar(50)
);

drop table if exists dl_pdl;
create table dl_pdl (
            KODSLU numeric(10, 0),
             JMENO varchar(10),
            PORADI numeric(10, 0),
            POZICE numeric(10, 0),
               TYP varchar(1),
             DELKA numeric(10, 0),
            DESMIS numeric(10, 0),
             POPIS varchar(50),
            TYP400 varchar(1),
          DELKA400 numeric(10, 0)
);

drop table if exists dl_pcs;
create table dl_pcs (
            PATYPE varchar(6),
             PAKOD varchar(25),
            PADESC varchar(50)
);

drop table if exists dl396_cdcp;
create table dl396_cdcp (
            KODSLU numeric(10, 0),
             DELKA numeric(10, 0),
             JMENA varchar(512),
             POPIS varchar(50),
            POCPOL numeric(10, 0),
           VSTUPNI numeric(1, 0),
            KODSWS varchar(5)
);

drop table if exists dl397_cdcp;
create table dl397_cdcp (
            KODSLU numeric(10, 0),
             JMENO varchar(10),
            JMENWS varchar(10),
            PORADI numeric(10, 0),
            POZICE numeric(10, 0),
               TYP varchar(1),
             DELKA numeric(10, 0),
            DESMIS numeric(10, 0),
             POPIS varchar(50),
             OBLIG varchar(1),
              TYPO varchar(1),
              OBOR varchar(50),
              HEDR varchar(20)
);

drop table if exists dl399_cdcp;
create table dl399_cdcp (
            KODSLU numeric(10, 0),
             JMENO varchar(10),
            JMENWS varchar(10),
            PORADI numeric(10, 0),
            POZICE numeric(10, 0),
               TYP varchar(1),
             DELKA numeric(10, 0),
            DESMIS numeric(10, 0),
             POPIS varchar(50),
            TYP400 varchar(1),
          DELKA400 numeric(10, 0),
             OBLIG varchar(1),
              TYPO varchar(1),
              OBOR varchar(50),
              HEDR varchar(20)
);

drop table if exists dl_cd;
create table dl_cd (
            KLCDVA varchar(12),
            KLLBVA varchar(18),
             KLBIC varchar(8),
            KLDTKL date,
            KLPCNA numeric(15, 2),
            KLURSA numeric(6, 3),
            KLSTSP date
);

drop table if exists dl_cv;
create table dl_cv (
            KLCDVA varchar(12),
            KLLBVA varchar(18),
             KLBIC varchar(8),
            KLVPRC numeric(13, 2)
);

drop table if exists dl_fm;
create table dl_fm (
            KLCDVA varchar(12),
            KLLBVA varchar(18),
             KLBIC varchar(8),
            KLDTKL date,
            KLMNRO numeric(13, 2),
           KLIMXRO numeric(13, 2),
            KLABTE numeric(11, 0),
            KLABTN numeric(17, 2),
            KLABOB numeric(7, 0)
);

drop table if exists dl_fc;
create table dl_fc (
            KLTYOP varchar(3),
            KLCDVA varchar(12),
            KLLBVA varchar(18),
             KLBIC varchar(8),
            KLDTKL date,
            KLABTE numeric(11, 0),
            KLABOB numeric(7, 0)
);

drop table if exists dl501_cdcp;
create table dl501_cdcp (
              CDAC numeric(4, 0),
              SHCD numeric(20, 0),
              ITYP varchar(1),
              IDKC varchar(50),
              STYP varchar(1)
);

drop table if exists dl549_cdcp;
create table dl549_cdcp (
              MEST varchar(5),
              TYPS varchar(1),
              CDAC numeric(4, 0),
              RCMA varchar(12),
               BIC varchar(11)
);

drop table if exists dl550_cdcp;
create table dl550_cdcp (
              CDAC numeric(4, 0),
               BIC varchar(11)
);

drop table if exists dl_zkom;
create table dl_zkom (
              RQID numeric(10, 0),
              DTUC date
);

drop table if exists dl_dkom;
create table dl_dkom (
              RQID numeric(10, 0),
              DTUC date,
             RQSTS varchar(1),
              DTLO date,
              CSLO time,
             RQERR varchar(100),
            DOCREF varchar(128)
);

drop table if exists dl_fpuj;
create table dl_fpuj (
            LVCVAL varchar(12),
            LVTYPP varchar(2),
            LVVZUS date,
            LVVKUS date,
            LVQTET numeric(11, 0),
            LVGCDN numeric(4, 0),
            LVIDMV varchar(10),
            LVRCMV varchar(12),
            LVRLIV numeric(12, 0),
            LVNUAG varchar(5),
            LVREXT varchar(11),
            LVCDCL varchar(11)
);

drop table if exists dl_acmv;
create table dl_acmv (
              CDAV numeric(4, 0),
              IDVY numeric(12, 0),
              STVY varchar(2),
              CVAL varchar(12),
              CDAZ numeric(4, 0),
              QTET numeric(11, 0),
              MTMV numeric(14, 2),
              DEVI varchar(3),
              CDAC numeric(4, 0),
              IDMA varchar(10),
              RCMA varchar(12),
              RLIV numeric(12, 0),
             PCRDT date,
             PPORC numeric(6, 0),
             VPORC numeric(6, 0),
             PPREV varchar(15),
             VPREV varchar(15),
             PREV1 varchar(15),
             PREV2 varchar(15),
              AUVR varchar(1),
              NUAG varchar(5),
              REXT varchar(11),
              CPIN varchar(11),
              CDCL varchar(11),
              ZADT date
);

drop table if exists dl_acmz;
create table dl_acmz (
              CDAV numeric(4, 0),
              IDVY numeric(12, 0),
              STVY varchar(2),
              CVAL varchar(12),
              CDAZ numeric(4, 0),
              QTET numeric(11, 0),
              MTMV numeric(14, 2),
              DEVI varchar(3),
              CDAC numeric(4, 0),
              RLIV numeric(12, 0),
             PCRDT date,
             PPORC numeric(6, 0),
             VPORC numeric(6, 0),
             PPREV varchar(15),
             VPREV varchar(15),
             PREV1 varchar(15),
             PREV2 varchar(15),
              AUVR varchar(1),
              ZADT date
);

drop table if exists dl_sdc;
create table dl_sdc (
            ABTYUC varchar(2),
            ABAKTI varchar(1),
            ABCDAC varchar(3),
            ABNMSB varchar(32),
            ABFROF varchar(32),
            ABADR1 varchar(32),
            ABADR2 varchar(32),
            ABCDPO varchar(6),
             ABTEL varchar(32),
            ABBAOF varchar(32),
            ABADR3 varchar(32),
            ABADR4 varchar(32),
            ABCDPB varchar(6),
            ABTELB varchar(32),
             ABFAX varchar(32),
            ABFAXB varchar(32),
             ABEMA varchar(50),
            ABEMAB varchar(50),
             ABICO varchar(10),
             ABBIC varchar(11)
);

drop table if exists dl_suk;
create table dl_suk (
            CBDTJR date,
            CBNOOR numeric(5, 0)
);

drop table if exists dl_sdp;
create table dl_sdp (
            VJCDVA varchar(12),
            VJEFDT date,
            VJLBVA varchar(18),
            VJCDMA varchar(1),
            VJMDNE varchar(1),
            VJMDCO varchar(1),
            VJPLCO numeric(3, 0),
            VJTYVA varchar(3),
            VJFMVA varchar(1),
            VJQOMA numeric(5, 0),
            VJQTMN numeric(5, 0),
            VJUNCO varchar(1),
            VJDVCO varchar(3),
            VJTYNL varchar(1),
            VJMTNL numeric(18, 6),
            VJDVNL varchar(3),
            VJRBDT date,
            VJNBTI numeric(11, 0),
            VJCDAG numeric(3, 0),
            VJGRCO varchar(1),
            VJECDT date,
            VJMERE varchar(12),
            VJSOEM numeric(5, 0),
            VJNBJO numeric(2, 0),
            VJSTMN numeric(7, 0),
            VJMINK numeric(8, 0),
            VJNBRL numeric(2, 0),
            VJNBRH numeric(2, 0),
            VJNBRS numeric(2, 0),
            VJNBRT numeric(2, 0),
            VJPVSP numeric(13, 2),
            VJPVKO numeric(3, 0),
            VJLHKO numeric(3, 0),
            VJLHPR numeric(3, 0),
            VJMINA numeric(2, 0),
            VJBIGT numeric(11, 0),
            VJDSDT date,
            VJDSHH time,
            VJFSDT date,
            VJFSHH time,
            VJNORB numeric(2, 0),
            VJLLVA varchar(80),
            VJPCSP varchar(1),
            VJASOM varchar(1),
            VJVLJO varchar(1),
            VJBLFD varchar(1),
            VJPFUT varchar(10),
            VJDTMJ date,
            VJHHMJ time
);

drop table if exists dl_fpax;
create table dl_fpax (
            PATYPE varchar(6),
            PAOFSE numeric(2, 0),
             PADEL numeric(2, 0),
             PAFOR varchar(1),
             PADEC numeric(2, 0),
             PALIB varchar(25)
);

drop table if exists dl_fbox;
create table dl_fbox (
            PATYPE varchar(6),
            PASTYP varchar(3),
            PAINDI varchar(6),
            PADONN varchar(60),
             PALIB varchar(25)
);

drop table if exists dl_exin;
create table dl_exin (
              PREV varchar(15)
);

drop table if exists dl_suct;
create table dl_suct (
              CDAC numeric(4, 0),
              RCMA varchar(12),
              IDMA varchar(10),
              TYAF numeric(2, 0),
              STUC varchar(1),
              RLIV numeric(12, 0)
);

drop table if exists dl_nid;
create table dl_nid (
               NID varchar(10)
);

drop table if exists dl_rqid;
create table dl_rqid (
              IDRQ numeric(9, 0)
);

drop table if exists dl_zast;
create table dl_zast (
              RLIV numeric(12, 0),
              TYZP varchar(1),
              UCAS numeric(4, 0),
              DTOD date,
              DTDO date,
              IDVE varchar(10),
              IDDL varchar(10),
              IDZA varchar(10),
              MTMV numeric(14, 2),
              DSPL date,
              DEVI varchar(3),
              TZAJ varchar(1),
              DRHP varchar(1),
              NAVA varchar(15),
              CMMT varchar(80),
              VIVE varchar(1),
              RLIP numeric(12, 0),
              NANV varchar(1),
              UCVH varchar(10)
);

drop table if exists dl_sppn;
create table dl_sppn (
              RLIV numeric(12, 0),
              UCAS numeric(4, 0),
              TYZP varchar(1),
              IDMA varchar(10),
              DTOD date,
              DTBL date,
              IDVE varchar(10),
              NAVA varchar(15),
              CMMT varchar(80)
);

drop table if exists dl_vrms;
create table dl_vrms (
              QTET numeric(11, 0),
              ORIG varchar(4),
              VMAA numeric(2, 0),
              NMLO numeric(4, 0),
              NMMV numeric(5, 0)
);

drop table if exists dl_prms;
create table dl_prms (
              ORIG varchar(4),
              VMAA numeric(2, 0),
              NMLO numeric(4, 0),
              NMMV numeric(5, 0)
);

drop table if exists dl_qrms;
create table dl_qrms (
              ORIG varchar(4),
              VMAA numeric(2, 0),
              NMLO numeric(4, 0),
              NMMV numeric(5, 0)
);

drop table if exists dl_prem;
create table dl_prem (
              ORIG varchar(4),
              VMAA numeric(2, 0),
              NMLO numeric(4, 0),
              NMMV numeric(5, 0)
);

drop table if exists dl_zrms;
create table dl_zrms (
              QTET numeric(11, 0),
              ORIG varchar(4),
              VMAA numeric(2, 0),
              NMLO numeric(4, 0),
              NMMV numeric(5, 0)
);

drop table if exists dl_blcp;
create table dl_blcp (
              RLIV numeric(12, 0),
              IDSK numeric(12, 0),
             IDSKN numeric(12, 0),
              DTOD date,
              CDAC numeric(4, 0),
              RCMA varchar(12),
              IDMA varchar(10),
              CVAL varchar(12),
              CNDC numeric(2, 0),
              QTET numeric(11, 0),
              IDNV numeric(12, 0),
              UCVH varchar(10),
              ORIG varchar(4),
              VMAA numeric(2, 0),
              NMLO numeric(4, 0),
              NMMV numeric(5, 0)
);

drop table if exists dl_plpp;
create table dl_plpp (
              ORIG varchar(4),
              VMAA numeric(2, 0),
              NMLO numeric(4, 0),
              NMMV numeric(5, 0)
);

drop table if exists dl_plzo;
create table dl_plzo (
              ORIG varchar(4),
              VMAA numeric(2, 0),
              NMLO numeric(4, 0),
              NMMV numeric(5, 0)
);

drop table if exists dl_smrt;
create table dl_smrt (
              CDAC numeric(4, 0),
              KRCM varchar(12),
              KIDM varchar(10),
              CVAL varchar(12),
              CNDC numeric(2, 0),
              QTET numeric(11, 0),
              TYAF numeric(2, 0),
              STUC varchar(1),
              ORIG varchar(4),
              VMAA numeric(2, 0),
              NMLO numeric(4, 0),
              NMMV numeric(5, 0)
);

drop table if exists dl_prev;
create table dl_prev (
              ORIG varchar(4),
              VMAA numeric(2, 0),
              NMLO numeric(4, 0),
              NMMV numeric(5, 0)
);

drop table if exists dl_rsdl;
create table dl_rsdl (
              CDAC numeric(4, 0),
              RCMA varchar(12),
              IDMA varchar(10),
              CVAL varchar(12),
              CNDC numeric(2, 0),
              QTET numeric(11, 0),
              TYAF numeric(2, 0),
              ORIG varchar(4),
              VMAA numeric(2, 0),
              NMLO numeric(4, 0),
              NMMV numeric(5, 0)
);

drop table if exists dl_ussd;
create table dl_ussd (
              CDAC numeric(4, 0),
              IDMA varchar(10),
              RCMA varchar(12),
              CVAL varchar(12),
              QTEX numeric(11, 0),
              CREX numeric(13, 2),
              MTBR numeric(15, 2),
              DEDT date,
              PRED numeric(6, 0),
              CIUC numeric(10, 0),
              KCCA varchar(7),
              BICE varchar(11),
              NZUC varchar(24),
              IBAN varchar(34),
              MAIL varchar(50),
              TELE varchar(20),
              ZASL varchar(1),
              VYPI varchar(1),
              OSID varchar(8),
              ORIG varchar(4),
              VMAA numeric(2, 0),
              NMLO numeric(4, 0),
              NMMV numeric(5, 0)
);

drop table if exists dl_pssd;
create table dl_pssd (
              CDAC numeric(4, 0),
              IDMA varchar(10),
              RCMA varchar(12),
              CVAL varchar(12),
              QTEX numeric(11, 0),
              CREX numeric(13, 2),
              MTBR numeric(15, 2),
              DEDT date,
              ORIG varchar(4),
              VMAA numeric(2, 0),
              NMLO numeric(4, 0),
              NMMV numeric(5, 0)
);

drop table if exists dl_rssd;
create table dl_rssd (
              CDAC numeric(4, 0),
              IDMA varchar(10),
              RCMA varchar(12),
              CDVA varchar(12),
              QTEX numeric(11, 0),
              CVAL varchar(12),
              RVYN varchar(1),
              DEDT date,
              ORIG varchar(4),
              VMLA numeric(2, 0),
              NMLO numeric(4, 0),
              NMMV numeric(5, 0)
);

drop table if exists dl_fssd;
create table dl_fssd (
              ORIG varchar(4),
              VMAA numeric(2, 0),
              NMLO numeric(4, 0),
              NMMV numeric(5, 0),
              KRCM varchar(12)
);

drop table if exists dl_rpuj;
create table dl_rpuj (
              ORIG varchar(4),
              VMAA numeric(2, 0),
              NMLO numeric(4, 0),
              NMMV numeric(5, 0)
);

drop table if exists dl_vpuj;
create table dl_vpuj (
              ORIG varchar(4),
              VMAA numeric(2, 0),
              NMLO numeric(4, 0),
              NMMV numeric(5, 0)
);

